# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc特价单品_创建需求单,2264,2264-75,sit,bs
主数据平台:多采商城需求单创建接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_special_fresenius_group"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 进行需求单创建
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url46")
# print(url)
request_body = commonFuc().get_business_data(module, "payload46")

"""
 场景: 特价商品需求单创建验证
 用例名称：特价商品需求单创建验证
 输出：{"demandParentCode": "%s"}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# 获取创建需求成功后需求单信息
demand_parent_code = result["data"]["国药集团上海医疗器械有限公司"]["demandParentCode"]
demand_parent_id = result["data"]["国药集团上海医疗器械有限公司"]["demandParentId"]

# 实际结果
result = {"demandParentCode": demand_parent_code}

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询新增特价单品
sql = "SELECT t.demandParentCode FROM `cmdc-order`.tc_demand t WHERE demandParentId = {};".format(demand_parent_id)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict46",
                                           mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0])
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
